// TEMP 20141001 - Captcha obligatoire demande RV

$(document).ready($(function() {

    /**
     * paramjs.php doit être inclus pour que les variables options_datepicker
     * et formatdatecalendrier soient disponibles.
     **/

    $("input#debut").datepicker();
    $("input#fin").datepicker();

    $("input#debut").datepicker("option", options_datepicker);
    $("input#fin").datepicker("option", options_datepicker);
	
	$("input#debut").datepicker( "option", "minDate", 0);
	$("input#fin").datepicker( "option", "minDate", 0);
	
	var options_datepicker_first = {
		onSelect: function(date) {
			actualDate = $.datepicker.parseDate(formatcalendrier, date);
			if ($("input#fin").val()=="")
			{
				var newDate = new Date(actualDate.getFullYear(), actualDate.getMonth(), actualDate.getDate()+7);
				
				$("input#fin").datepicker( "setDate", $.datepicker.formatDate(formatcalendrier, newDate) );	
				resainfo("fin", $.datepicker.formatDate(formatcalendrier, newDate)) ;
			}
			resainfo("debut", date) ; 
        	}
	};
	
	var options_datepicker_deux = {
		onSelect: function(date) {
			resainfo("fin", date) ; 
	        }
	};
		
	$("input#debut").datepicker("option",options_datepicker_first);
	$("input#fin").datepicker("option",options_datepicker_deux);
	
	chargement_captcha();
	chargement_infos_resa() ;
	
	$("#form-demande input#nom").blur(function() {
		resainfo("nom", $(this).val()) ; 
	});
	
	$("#form-demande input#tel").blur(function() {
		resainfo("tel", $(this).val()) ; 
	});
	
	$("#form-demande input#email").blur(function() {
		resainfo("email", $(this).val()) ; 
	});
	
	$("#form-demande #debut").blur(function() {
		resainfo("debut", $(this).val()) ; 
	});
	
	$("#form-demande #fin").blur(function() {
		resainfo("fin", $(this).val()) ; 
	});
	
	$("#form-demande #demande").blur(function() {
		resainfo("demande", $(this).val()) ; 
	});
	
	$("#demande-puis-rep #nbpers").change(function() {
		resainfo("nbpers", (document.getElementById("nbpers").selectedIndex+1)) ;
	});

}));


function popup_demande(id_annonce)
{
	$.ajax({
			type: "POST",
			url: ajax_postdemande,
			data: {
				annonce: id_annonce,
				debut: $("input#debut").val(),
				fin: $("input#fin").val(),
				nbpers: $("select#nbpers").val(),
				email: $("input#email").val()
			}
			
		}).done(function(msg) {
		
			chargecontenu(msg) ;
			openfullscreen() ; 
			
		}).fail(function(jqXHR, textStatus) {
			console.log('erreur ajax');
		});
		
	return false ;
}


function resainfo(info,val)
{
	var date_exp_resa = new Date();
	date_exp_resa.setTime(date_exp_resa.getTime()+(30*24*3600*1000)); // 30 jours
	
	// Récup
	if (getcookie("infosresa") != "") 
		var $obj = JSON.parse(getcookie("infosresa"));
	else
		var $obj = {};
	
	$obj[info] = val;

	setcookie("infosresa",JSON.stringify($obj),date_exp_resa,'/'); 
}

function chargement_infos_resa()
{

	if (getcookie("infosresa") != "") 
	{
		var $obj = JSON.parse(getcookie("infosresa"));
		
		if($obj.nom!= 'undefined' && $obj.nom!="" && $("#demande-puis-rep input#nom").val()=="")
			$("#demande-puis-rep input#nom").val($obj.nom) ;
			
		if($obj.tel!= 'undefined' && $obj.tel!="" && $("#demande-puis-rep input#tel").val()=="")
			$("#demande-puis-rep input#tel").val($obj.tel) ;
			
		if($obj.email!= 'undefined' && $obj.email!="" && $("#demande-puis-rep input#email").val()=="")
			$("#demande-puis-rep input#email").val($obj.email) ;
		
		if($obj.demande!= 'undefined' && $obj.demande!="" && $("#demande-puis-rep #demande").val()=="")
			$("#demande-puis-rep #demande").val($obj.demande) ;
			
		if($obj.debut!= 'undefined' && $obj.debut!="" && $("#demande-puis-rep #debut").val()=="")
			$("#demande-puis-rep #debut").val($obj.debut) ;
			
		if($obj.fin!= 'undefined' && $obj.fin!="" && $("#demande-puis-rep #fin").val()=="")
			$("#demande-puis-rep #fin").val($obj.fin) ;
			
		if($obj.nbpers!= 'undefined' && $obj.nbpers!="")
			$("#demande-puis-rep #nbpers option").eq(eval($obj.nbpers)-1).attr("selected",true) ;
			
		// TEMP 20141001 if($obj.print!= 'undefined' && $obj.print=="1")
		// TEMP 20141001 	$("#captcha_sous").hide() ;
	}

}


function chargement_captcha()
{
    /*$('#proprio_property').lazy_load(function()
    {*/
        $.ajax({
            type: "POST",
            url: ajax_captcha
        }).done(function(msg) {

            // Lecture de la réponse AJAX (c'est du JSON)
            var oj = typeof JSON != 'undefined' ? JSON.parse(msg) : eval('('+msg+')');

            $('input#print').val(oj.print);
            $('div#captcha_sous > img').attr('src', oj.img);

        }).fail(function(jqXHR, textStatus) {
            console.log('erreur ajax captcha');
        });
    /*});*/
}


function changement_etat(etat, type, id)
{
    if (etat == false)
        $(type+"#"+id).addClass('pb');
    else
        $(type+"#"+id).removeClass('pb');
}


function reservation(id_annonce)
{
	
	var print_c = 0 ;
	
	if (getcookie("infosresa") != "") 
	{
		var $obj = JSON.parse(getcookie("infosresa"));
		// TEMP 20141001 if($obj.print!= 'undefined' && $obj.print=="1")
		// TEMP 20141001 	print_c = 1 ;
	}
	
    $.ajax({
        type: "POST",
        url: ajax_reservation,
        data: {
            annonce: id_annonce,
            debut: $("input#debut").val(),
            fin: $("input#fin").val(),
            nbpers: $("select#nbpers").val(),
            nom: $("input#nom").val(),
            email: $("input#email").val(),
            tel: $("input#tel").val(),
            demande: $("textarea#demande").val(),
            promos: $("input#promos").is(':checked'),
            cond: $("input#cond").is(':checked'),
            print: $("input#print").val(),
            code: $("input#code").val(),
			print_c : print_c
        }
    }).done(function(msg) {
        // DEBUG
        // console.log('Réponse JSON : '+msg);

        // Lecture de la réponse AJAX (c'est du JSON)
        var oj = typeof JSON != 'undefined' ? JSON.parse(msg) : eval('('+msg+')');

		var msg_alert = new Array();
		if (!oj.alenvers)
			msg_alert.push("- "+resamsgerr_alenvers) ;
		if (!oj.debut)
			msg_alert.push("- "+resamsgerr_debut) ;
		if (!oj.fin)
			msg_alert.push("- "+resamsgerr_fin) ;
		if (!oj.troptard)
			msg_alert.push("- "+resamsgerr_troptard) ;
		if (!oj.dispo)
			msg_alert.push("- "+resamsgerr_dispo) ;
		if (!oj.captcha)
			msg_alert.push("- "+resamsgerr_captcha) ;
		if (!oj.cond)
			msg_alert.push("- "+resamsgerr_cond) ;
		if (!oj.email)
			msg_alert.push("- "+resamsgerr_email) ;
		if (!oj.nom)
			msg_alert.push("- "+resamsgerr_nom) ;
		if (!oj.message)
			msg_alert.push("- "+resamsgerr_message) ;
		if (!oj.ecarttropgrand)
			msg_alert.push("- "+resamsgerr_ecarttropgrand) ;
		
        changement_etat(oj.alenvers && oj.debut && oj.troptard && oj.dispo, 'input', 'debut');
        changement_etat(oj.alenvers && oj.fin && oj.dispo, 'input', 'fin');
        changement_etat(oj.captcha, 'input', 'code');
        changement_etat(oj.cond, 'label', 'label-cond');
        changement_etat(oj.email, 'input', 'email');
        changement_etat(oj.nom, 'input','nom');
        changement_etat(oj.message, 'textarea', 'demande');
		
		if (msg_alert.length!=0)
			alert(resamsgerr_erreur+"\r\n"+msg_alert.join("\r\n")) ;

        if (oj.global)
        {
			$("span#msgconfadrmail").html($("input#email").val()) ;
            $("form#form-demande").toggle('blind', {}, 1000);
            $("div#res-demande").toggle('blind', {}, 1000);
			resainfo("print",1) ;
			popup_demande(id_annonce) ;
        }

    }).fail(function(jqXHR, textStatus) {
        $("form#form-demande").toggle('blind', {}, 1000);
		console.log('erreur ajax demande');
    });

    /**
     * Le « return false; » permet d'annuler la soumission du formulaire.
     * (Sans lui, le formulaire est soumis, la page rafraîchie avec tous les
     * input passés en GET.)
     **/
    return false;
}

